## DzlListBox DzlListBox |

## Functions

GtkWidget * | dzl_list_box_new ()
GType | dzl_list_box_get_row_type ()
const gchar * | dzl_list_box_get_property_name ()
GListModel * | dzl_list_box_get_model ()
void | dzl_list_box_set_model ()
void | dzl_list_box_set_recycle_max ()

## Properties

gchar * | property-name | Read / Write / Construct Only
GType * | row-type | Read / Write / Construct Only
gchar * | row-type-name | Write / Construct Only

## Types and Values

#define | DZL_TYPE_LIST_BOX
struct | DzlListBoxClass
| DzlListBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkListBox
                        ╰── DzlListBox

## Implemented Interfaces

DzlListBox implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_list_box_new ()

    GtkWidget *
    dzl_list_box_new (GType row_type,
                      const gchar *property_name);

### dzl_list_box_get_row_type ()

    GType
    dzl_list_box_get_row_type (DzlListBox *self);

### dzl_list_box_get_property_name ()

    const gchar *
    dzl_list_box_get_property_name (DzlListBox *self);

### dzl_list_box_get_model ()

    GListModel *
    dzl_list_box_get_model (DzlListBox *self);

#### Returns

A GListModel or `NULL`.

[nullable][transfer none]

### dzl_list_box_set_model ()

    void
    dzl_list_box_set_model (DzlListBox *self,
                            GListModel *model);

### dzl_list_box_set_recycle_max ()

    void
    dzl_list_box_set_recycle_max (DzlListBox *self,
                                  guint recycle_max);

Sets the max number of rows to cache for reuse. Set to 0 to return to the default.

#### Parameters

self | a DzlListBox |
recycle_max | max number of rows to cache |

Since: 3.28

## Types and Values

### DZL_TYPE_LIST_BOX

    #define DZL_TYPE_LIST_BOX (dzl_list_box_get_type())

### struct DzlListBoxClass

    struct DzlListBoxClass {
      GtkListBoxClass parent_class;
    };

### DzlListBox

    typedef struct _DzlListBox DzlListBox;

## Property Details

### The `“property-name”` property

      “property-name”            gchar *

The property in which to assign the model item.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“row-type”` property

      “row-type”                 GType *

The GtkListBoxRow or subclass type to instantiate.

Flags: Read / Write / Construct Only

Allowed values: GtkListBoxRow

### The `“row-type-name”` property

      “row-type-name”            gchar *

The name of the GType as a string.

Flags: Write / Construct Only

Default value: NULL